TypeParser
Date: 2016-12-04

com.fasterxml.jackson.databind.type

## Class TypeParser

- java.lang.Object
- - com.fasterxml.jackson.databind.type.TypeParser

- All Implemented Interfaces:
    java.io.Serializable

      public class TypeParser
      extends java.lang.Object
      implements java.io.Serializable

  Simple recursive-descent parser for parsing canonical `JavaType` representations and constructing type instances.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TypeFactory` | `_factory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeParser(TypeFactory f)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.IllegalArgumentException` | `_problem(com.fasterxml.jackson.databind.type.TypeParser.MyTokenizer tokens, java.lang.String msg)`
    `protected java.lang.Class<?>` | `findClass(java.lang.String className, com.fasterxml.jackson.databind.type.TypeParser.MyTokenizer tokens)`
    `JavaType` | `parse(java.lang.String canonical)`
    `protected JavaType` | `parseType(com.fasterxml.jackson.databind.type.TypeParser.MyTokenizer tokens)`
    `protected java.util.List<JavaType>` | `parseTypes(com.fasterxml.jackson.databind.type.TypeParser.MyTokenizer tokens)`
    `TypeParser` | `withFactory(TypeFactory f)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _factory

          protected final TypeFactory _factory

  - ### Constructor Detail

    - #### TypeParser

          public TypeParser(TypeFactory f)

  - ### Method Detail

    - #### withFactory

          public TypeParser withFactory(TypeFactory f)

      Since:
        2.6.2

    - #### parse

          public JavaType parse(java.lang.String canonical)
                         throws java.lang.IllegalArgumentException

      Throws:
        `java.lang.IllegalArgumentException`

    - #### parseType

          protected JavaType parseType(com.fasterxml.jackson.databind.type.TypeParser.MyTokenizer tokens)
                                throws java.lang.IllegalArgumentException

      Throws:
        `java.lang.IllegalArgumentException`

    - #### parseTypes

          protected java.util.List<JavaType> parseTypes(com.fasterxml.jackson.databind.type.TypeParser.MyTokenizer tokens)
                                                 throws java.lang.IllegalArgumentException

      Throws:
        `java.lang.IllegalArgumentException`

    - #### findClass

          protected java.lang.Class<?> findClass(java.lang.String className,
                                     com.fasterxml.jackson.databind.type.TypeParser.MyTokenizer tokens)

    - #### _problem

          protected java.lang.IllegalArgumentException _problem(com.fasterxml.jackson.databind.type.TypeParser.MyTokenizer tokens,
                                                    java.lang.String msg)